package net.kldp.beat.config;

import java.util.Properties;

public class Config {
	private static String temp_dir = "";
	private static int max_upload_size = 100;
	private static boolean dev_mode = true;
	private static String view_path = "/";

	public static void load(Class clazz) {
		Properties properties = new Properties();
		try {
			properties.load(clazz.getResourceAsStream("/beat.properties"));
		} catch (Exception e) {
			try {
				properties.load(clazz.getResourceAsStream("/net/kldp/beat/config/beat.properties"));
			} catch (Exception e2) {
				throw new RuntimeException("Can not loading properties file. use Default configuration.");
			}
		}
		temp_dir = properties.getProperty("temp_dir");
		max_upload_size = new Integer(properties.getProperty("max_upload_size"));
		dev_mode = new Boolean(properties.getProperty("dev_mode"));
		view_path = properties.getProperty("view_path");
	}

	public static String temp_dir() {
		return temp_dir;
	}

	public static int max_upload_size() {
		return max_upload_size;
	}

	public static boolean dev_mode() {
		return dev_mode;
	}

	public static String view_path() {
		if (view_path.equals("/"))
			return "";
		return view_path;
	}
}